+2001-01-25 Akim Demaille <akim@epita.fr>
+
+ * makevars.test: New.
+
2001-01-24 Akim Demaille <akim@epita.fr>
* vtexi.test (info_TEXINFOS): Escape a $ in egrep pattern.
--- /dev/null
+#! /bin/sh -x
+
+# Test to make sure that automake includes the needed variables,
+# but not too many.
+
+. $srcdir/defs || exit 1
+
+# Find the macros wanted by Automake.
+$ACLOCAL || exit 1
+
+# Create some dummy Makefile.in.
+: >Makefile.am
+$AUTOMAKE
+
+# We are definitely not needing a compiler or preprocessor.
+egrep '^(CC|CPP|CXX|CXXCPP) =' Makefile.in && exit 1
+
+exit 0